Skip to main content
GET
/
recordings
/
search
Search past transcripts
curl --request GET \
  --url http://127.0.0.1:{port}/recordings/search \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "total": 123,
  "recordings": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "text": "<string>",
      "postProcessedText": "<string>",
      "transcribedText": "<string>",
      "date": "2023-11-07T05:31:56Z",
      "duration": 123,
      "mode": "<string>",
      "transcriptionProvider": "<string>",
      "postProcessingProvider": "<string>",
      "status": "<string>",
      "audioFilePath": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Token from the discovery file. Required on every endpoint except /health.

Query Parameters

q
string

Substring matched against text / postProcessedText / transcribedText.

since
string<date-time>
until
string<date-time>
limit
integer
default:50
Required range: 1 <= x <= 500

Response

200 - application/json

Matching recordings, newest first

ok
boolean
total
integer
recordings
object[]